using GameAtlas.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Stub
{
    public class Stub : IPersistanceManager
    {
        public (ObservableCollection<Jeu>,List<Admin>,List<Utilisateur>) ChargeDonnees()
        {
            List<Utilisateur> ListUsers = new List<Utilisateur>();
            List<Admin> ListAdmins = new List<Admin>();
            ObservableCollection<Jeu> ListJeu = new ObservableCollection<Jeu>();

            Utilisateur userTest = new Utilisateur("test@gmail.com", "test", "Test1234");
            Admin admin = new Admin("admin@example.com", "admin", "Admin1234");
            ListUsers.Add(userTest);
            ListAdmins.Add(admin);

            Jeu TheLastOfUs = new Jeu("The Last Of Us Part I", "28 Mars 2023", "PS5 PC", "Naughty Dog LLC", "Naughty Dog LLC", 5, 487, "Solo Action Aventure", "cover_lastofus1.png");
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "9 Novembre 2021", "PC XOne", "Playground Games", "Xbox Game Studios", 4, 420, "Course Simulation Sport", "cover_forzahorizon5.png");
            Jeu TOTK = new Jeu("The Legend of Zelda: Tears of the Kingdom", "12 Mai 2023", "Switch", "Nintendo", "Nintendo", 5, 250, "Action Aventure", "cover_zelda.png");
            Jeu ReadyOrNot = new Jeu("Ready or Not", "18 dcembre 2021", "PC", "VOID Interactive", "VOID Interactive", 5, 100, "Solo Action Aventure", "cover_readyornot.png");
            Jeu Hogwarts = new Jeu("Hogwarts Legacy : L'Hritage de Poudlard", "10 fvrier 2023", "PC Switch XOne", "Avalanche Software", "Warner Bros. Games", 5, 100, "Solo Action Aventure RPG", "cover_hogwarts.png");
            Jeu RE4 = new Jeu("Resident Evil 4", "24 mars 2023", "PC XSeries", "CAPCOM Co., Ltd.", "CAPCOM Co., Ltd.", 5, 100, "Solo Action Aventure", "cover_residentevil4.png");
            Jeu JediSurvivor = new Jeu("Star Wars Jedi: Survivor", "28 avril 2023", "PC XSeries", "Respawn", "Electronic Arts", 5, 100, "Solo Action Aventure", "cover_starwarsjedisurvivor.png");
            ListJeu.Add(TheLastOfUs);
            ListJeu.Add(ForzaHorizon);
            ListJeu.Add(TOTK);
            ListJeu.Add(ReadyOrNot);
            ListJeu.Add(Hogwarts);
            ListJeu.Add(RE4);
            ListJeu.Add(JediSurvivor);

            return (ListJeu,ListAdmins,ListUsers);
        }

        public void SauvegardeDonnees(ObservableCollection<Jeu> jeux, List<Admin> admins, List<Utilisateur> utilisateurs)
        {
            throw new NotImplementedException();
        }
    }
}